Bug 971953 - Remove units spikes memory consumption for large collections
Remove units spikes memory consumption for large collections
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2 Beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 12:38 EDT by Jay Dobies
Modified: 2013-09-10 11:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:44:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2013-06-07 12:38:51 EDT
This is similar to the fix we had to add to copy to have the client scope the unit fields that are loaded. Like copy, the ultimate solution will be to move the units loading out of the platform and into the plugin itself.
Comment 1 Jay Dobies 2013-06-10 09:43:11 EDT
https://github.com/pulp/pulp_rpm/pull/236
Comment 2 Jeff Ortel 2013-06-11 10:15:45 EDT
build: 2.2.0-0.3.beta
Comment 3 Jay Dobies 2013-06-12 14:48:41 EDT
Pretty simple to verify. Copy an entire repository into another, the idea being to seed it with a ton of things that can be removed. Then remove everything from the destination repository.
Comment 4 Preethi Thomas 2013-06-19 13:40:31 EDT
verified

[root@ibm-x3550m3-13 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.4.beta.fc18.noarch

[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo remove errata --repo-id rhel-copy --after 2013-06-18
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

[|]
Running...

Summary:
  erratum: 1048

[root@ibm-x3550m3-13 ~]#
Comment 5 Preethi Thomas 2013-09-10 11:44:41 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.